Subject: [core] MULTIPART-CT: Clarify scope

From: Christer Holmberg <[email-masked]>
Date: Sat, 31 Aug 2019 11:01:59 +0000

Hi,

There is an issue discussed on GitHub, that I think is useful to clarify on the list.

It has been claimed that the multipart mechanism is not specific to CoAP, but it is generic. So far so good.

Based on that claim, I have suggested that we explicitly indicate that, while the mechanism is generic, the multipart-ct draft was written with CoAP in mind, and that other specifications may have to define how to use the multipart mechanism with other protocols. There may be no such other protocols today, but maybe tomorrow.

I have also suggested that it should be indicated that the example is for CoAP usage.

https://github.com/core-wg/multipart-ct/pull/27

Thanks!

Regards,

Christer